<template>
  <div class="confirm__mask">
    <div class="confirm__body">
      <div class="confirm__header" v-if="text">{{ text }}</div>
      <div class="confirm__controllers">
        <button @click="confirm">Подтвердить</button>
        <button @click="hide" ref="cancelButton">Отменить</button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    text: String,
    okClick: Function,
  },
  methods: {
    confirm() {
      this.hide()
      this.okClick()
    },
    hide() {
      this.$el.remove()
      this.$destroy()
    },
  },
}
</script>

<style>
.confirm__mask {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.45);
  z-index: 99999;
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
}

.confirm__body {
  position: relative;
  max-width: 90%;
  display: flex;
  max-height: 50%;
  flex-direction: column;
  top: -20px;
  width: 500px;
  margin: 0 auto;
  border: none;
  border-radius: 6;
  background-color: #fff;
  outline: none;
  cursor: default;
  overflow: hidden;
}

.confirm__header {
  padding: 16px 16px 0;
}

.confirm__controllers {
  display: flex;
  flex-direction: row-reverse;
  padding: 16px;
}
</style>
